Trigger import
POST
/merchants/{merchantCode}/imports/{importRef}
const url = 'https://import.shopgate.io/v1/merchants/example/imports/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://import.shopgate.io/v1/merchants/example/imports/exampleTriggers a formerly created import
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
importRef
required
string
Responses
Section titled “Responses”Imported started
Media typeapplication/json
Forbidden error
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "Forbidden", "message": "No access to merchant 1"}Import not found
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
